## lintian-brush 0.46

=== debian/changelog ===
lintian-brush (0.46) unstable; urgency=medium

  * Downgrade certainty of init.d-script-needs-depends-on-lsb-base fixer
    because of false positives, effectively disabling it. Partially addresses
    #946398
  * Don't drop autoreconf if we can't upgrade debhelper beyond 9.
  * Prevent unnecessary includes of /usr/share/dpkg/architecture.mk.
    Closes: #946414
  * Add a --exclude flag.
  * Attempt to preserve YAML directives in debian/upstream/metadata, if
    present. See #946413
  * Disable setting of the Screenshots field in debian/upstream/metadata
    to individual files; it seems likely these will get stale and become
    a source of toil.
  * Don't keep debian/upstream/metadata files with just the Archive
    field set.
  * Add fixer for debian-rules-missing-recommended-target.
  * possible-missing-colon-in-closes: Cope with phrases like 'partially
    closes'.
  * Fix handling of empty Build-Depends in build-depends-on-{build-
    essential,obsolete-package}.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 12 Dec 2019 23:54:23 +0000

## lintian-brush 0.47

=== debian/changelog ===
lintian-brush (0.47) unstable; urgency=medium

  * Add apply-multiarch-hints script.
  * Add --opinionated option. Closes: #942604
  * useless-autoreconf-build-depends: Depend on debhelper (>= 10~)
    rather than (>= 10). Closes: #946743
  * Don't remove expired keys from upstream signing key. Closes: #946407

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Dec 2019 14:50:44 +0000

## lintian-brush 0.48

=== debian/changelog ===
lintian-brush (0.48) unstable; urgency=medium

  * For esthetic reasons, keep Description as the last field in binary
    package stanzas.
  * Handle commented out patches in patch-file-present-but-not-mentioned-
    in-series.
  * Add fixer for skip-systemd-native-flag-missing-pre-depends.
  * Reintroduce fixer for removal of empty patches, but hide behind --
    opinionated.
  * Add fixer for invalid-standards-version.
  * Add fixer for declares-possibly-conflicting-debhelper-compat-
    versions.
  * Add fixer for debug-symbol-migration-possibly-complete.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 15 Dec 2019 17:20:33 +0000

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: bash-completion,
               devscripts,
               dh-python,
               dos2unix,
               python3-all,
               python3-breezy (>= 3.0.0),
               python3-breezy.tests,
               python3-dulwich (>= 0.19.7),
               python3-distro-info,
               python3-debian,
               python3-pyinotify [linux-any],
               python3-levenshtein,
               python3-pkginfo,
               python3-setuptools,
               python3-ruamel.yaml,
               gpg,
               lintian,
               debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git -b unstable
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush/branches/unstable

Package: lintian-brush
Architecture: all
Depends: devscripts,
         python3-breezy (>= 3.0.0),
         python3-debian,
         python3-dulwich (>= 0.19.7),
         python3-distro-info,
         python3-levenshtein,
         python3-pkginfo,
         python3-ruamel.yaml,
         ${misc:Depends},
         ${python3:Depends}
Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl
Suggests: gnome-pkg-tools, postgresql-common
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 80
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

=== tests/debian-watch-file-is-missing/simple/out/debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/xandikos/xandikos-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

=== tests/vcs-field-bitrotted/python/out/debian/control ===
Source: lintian-brush
Maintainer: Bla Team <pkg-bla@lists.alioth.debian.org>
Vcs-Git: https://salsa.debian.org/bla/python-bla
Vcs-Browser: https://salsa.debian.org/bla/python-bla

Package: lintian-brush
Description: Testing
 Test test

## lintian-brush 0.52

=== debian/changelog ===
lintian-brush (0.52) unstable; urgency=medium

  * Fix regression recognizing versioned common license files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Dec 2019 02:19:37 +0000

lintian-brush (0.51) unstable; urgency=medium

  * Add fixers for:
     copyright-refers-to-symlink-license,
     copyright-refers-to-versionless-license-file.
  * Add fixers for:
     copyright-should-refer-to-common-license-file-for-gpl,
     copyright-should-refer-to-common-license-file-for-gfdl,
     copyright-should-refer-to-common-license-file-for-lgpl,
     copyright-file-contains-full-apache-2-license,
     copyright-file-contains-full-gfdl-license,
     copyright-file-contains-full-gpl-license.
  * Add fixer for desktop-entry-contains-encoding-key.
  * Add fixers for desktop-entry-file-has-crs and executable-desktop-
    file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Dec 2019 01:20:52 +0000

lintian-brush (0.50) unstable; urgency=medium

  * Add fixer for copyright-does-not-refer-to-common-license-file.
  * Add fixer for copyright-should-refer-to-common-license-file-for-
    apache-2.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Dec 2019 22:12:34 +0000

lintian-brush (0.49) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add support for upgrading from standards version 4.1.4 -> 4.1.5.
  * Determine secure and browser URLs from Savannah Git URLs; thanks to
    Romain Francoise for the report.
  * Include trailing '.git' in salsa VCS URLs.
  * Guess bug database from forwarded field in debian patches.
  * Add fixer for no-dh-sequencer.
  * Ship a guess-upstream-metadata binary.

  [ Colin Watson ]
  * unnecessary-team-upload: Fix typo in changelog message.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Dec 2019 17:16:42 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
+               python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
                python3-pkginfo,
@@ -37,7 +38,7 @@
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl
+Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-iniparse
 Suggests: gnome-pkg-tools, postgresql-common
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 80

## lintian-brush 0.53

=== debian/changelog ===
lintian-brush (0.53) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Be a bit quieter when unable to contact udd.
  * Filter out duplicate lines in the last last changelog entry.
  * Add manpage for guess-upstream-metadata(1).
  * Cope with non-UTF8 R DESCRIPTION files.
  * Only mention whether changelog will be updated once per run.

  [ Topi Miettinen ]
  * Add fixer and test for systemd-service-file-shutdown-problems.

  [ Jelmer Vernooĳ ]
  * Refactor systemd support.
  * Add fixer for systemd-service-alias-without-extension.
  * Add fixer for systemd-service-file-refers-to-obsolete-bindto.
  * Add fixer for systemd-service-file-refers-to-obsolete-target.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 01 Jan 2020 21:10:22 +0000

=== debian/control ===
--- 
+++ 
@@ -33,12 +33,13 @@
          python3-debian,
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
+         python3-iniparse,
          python3-levenshtein,
          python3-pkginfo,
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-iniparse
+Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl
 Suggests: gnome-pkg-tools, postgresql-common
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 80

## lintian-brush 0.54

=== debian/changelog ===
lintian-brush (0.54) unstable; urgency=medium

  * Fix accidental removal of dh overrides with just conditions.
  * Disable the skip-systemd-native-flag-missing-pre-depends fixer for now,
    since it is too naive.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 03 Jan 2020 17:43:21 +0000

## lintian-brush 0.55

=== debian/changelog ===
lintian-brush (0.55) unstable; urgency=medium

  * Fix verification of Bug-Submit URLs for github.com.
  * Fix handling of non-default encodings in debian/patches.
  * Use dh $@ sequencer.
  * Change the commit message style so the footer is short, human-readable
    and parseable. Closes: #946803

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Jan 2020 13:46:10 +0000

## lintian-brush 0.56

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)

check:: style testsuite

.PHONY: style testsuite unsupported

style::
	flake8

testsuite::
	python3 setup.py test

README.md::
	PYTHONPATH=. ./buildtools/update-readme.py

unsupported:
	lintian-info --list-tags > lintian-tags
	PYTHONPATH=. python3 -m lintian_brush --list-tags 2> lintian-brush-tags
	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags

update-readme:
	brz diff README.md
	$(MAKE) README.md
	brz diff README.md || brz commit -m "Update list of fixers in README.md." README.md

release: check update-readme
	./setup.py sdist
	twine upload --sign dist/lintian-brush-$(VERSION).tar.gz

update-spdx:
	python3 download-license-data.py > spdx.json
	brz diff spdx.json || brz commit -m "Update SPDX license data." spdx.json

update: update-spdx update-readme

=== debian/changelog ===
lintian-brush (0.56) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Attempt to keep preferred order of fields in YAML files.
  * Don't write debian/upstream/metadata when just setting name. Closes:
    #948276
  * debian/upstream/metadata: Insert new entries alphabetically. Closes:
    #948155
  * Try harder to avoid rewriting YAML files.

  [ Sven Joachim ]
  * Fix Vcs-{Git,Browser} fields.

  [ Jelmer Vernooĳ ]
  * Add fixer for missing-build-dependency-for-dh_-command.
  * Add fixer for missing-build-dependency-for-dh-addon.
  * s/licence/license/g

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Jan 2020 22:21:59 +0000

=== tests/no-dh-sequencer/percent/in/debian/rules ===
%:
	dh $* --with=blah

=== tests/no-dh-sequencer/percent/out/debian/rules ===
%:
	dh $@ --with=blah

=== tests/package-uses-deprecated-debhelper-compat-version/with-rules/in/debian/rules ===
all:
	dh_clean -k
	dh --with=systemd,blah --buildsystem=python_distutils


override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install_changelogs:
	dh_install_changelogs -s

override_dh_installinit:
	dh_installinit -R -pracoon -- start 40 S . stop 07 0 1 6 .
	dh_installinit -R -pipsec-tools --name=setkey --no-start -- start 14 S .

override_dh_systemd_enable:
	dh_systemd_enable -pracoon

## lintian-brush 0.56ubuntu1

=== debian/changelog ===
lintian-brush (0.56ubuntu1) focal; urgency=medium

  * Skip a test, dch -i is different than on Debian.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 15:11:27 +0100

=== tests/no-dh-sequencer/unchanged/in/debian/rules ===
%:
	dh ${@} --with=blah

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian, python3-iniparse
Restrictions: allow-stderr

## lintian-brush 0.56ubuntu2

=== debian/changelog ===
lintian-brush (0.56ubuntu2) focal; urgency=medium

  * Drop renamed-tags, dropped from lintian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2020 11:42:16 +0100

## lintian-brush 0.57

=== debian/changelog ===
lintian-brush (0.57) unstable; urgency=medium

  * Add fixer for debian-changelog-line-too-long.
  * Add fixer for misspelling-in-bug-closes.
  * Add some initial code for cleaning up unused lintian overrides.
  * Drop the no-dh-sequencer fixer.
  * Drop unnecessary --with=systemd if debhelper 10 is in use. Closes:
    #949818
  * Add fixer for unused-override. Closes: #932528
  * Properly parse exceptions in license synopsis.
  * Add fixer for autotools-pkg-config-macro-not-cross-compilation-safe.
  * Ship a renamed-tags.json file, since the upstream file has
    disappeared. Closes: #950321

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 31 Jan 2020 11:29:12 +0000

## lintian-brush 0.57ubuntu1

=== debian/changelog ===
lintian-brush (0.57ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip a test, dch -i is different than on Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2020 19:24:24 +0100

=== tests/useless-autoreconf-build-depends/debhelper-dep/out/debian/control ===
Source: blah
Maintainer: Team Maintainers <team@lists.alioth.debian.org>
Uploaders: Joe Example <joe@example.com>
Section: math
Priority: optional
Build-Depends: debhelper (>= 10~)
Standards-Version: 4.1.1

Package: blah
Architecture: any
Description: Description
 More description

## lintian-brush 0.58

=== debian/changelog ===
lintian-brush (0.58) unstable; urgency=medium

  * Add override for autotools-pkg-config-macro-not-cross-compilation-
    safe, which correctly (but intentionally) gets triggered for our
    test.
  * Improve handling of long lines in debian/changelog, especially when
    dealing with subitems.
  * Ignore rather than print tracebacks when mandatory fields in
    debian/control are missing.
  * When generating watch files for pypi, check package details against
    the API.
  * Strip related comments when removing options from
    debian/source/options.
  * Keep copies of the BSD license inlined, but rename BSD => BSD-3-
    clause (per the spec).
  * Don't remove patch files that are present but not mentioned in
    series unless --opinionated is specified.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Feb 2020 02:35:54 +0000

## lintian-brush 0.58ubuntu1

=== debian/changelog ===
lintian-brush (0.58ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip a test, dch -i is different than on Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Feb 2020 19:40:35 +0100

=== tests/debian-rules-uses-unnecessary-dh-argument/with-systemd/in/debian/rules ===
#!/usr/bin/make -f

dh:
	dh $@ --with=systemd

=== tests/no-homepage-field/simple/out/debian/control ===
Source: blah
Maintainer: Joe Maintainer <joe@example.com>
Homepage: http://example.com/blah/trac/

Package: blah
Description: blah
 blah blah

## lintian-brush 0.59ubuntu1

=== debian/changelog ===
lintian-brush (0.59ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip a test, dch -i is different than on Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Mar 2020 08:51:40 +0100

lintian-brush (0.59) unstable; urgency=medium

  * unused-license-paragraph-in-dep5-copyright: downgrade certainty when
    license is mentioned elsewhere.
  * Look for custom patches directory in debian/rules.
  * Document the --dry-run option in lintian-brush(1). Closes: #953161
  * lintian-brush.conf.5: Clarify syntax of compat-release, location of
    file. Closes: #953164

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 07 Mar 2020 14:31:37 +0000

## lintian-brush 0.60ubuntu1

=== Makefile ===
--- 
+++ 
@@ -31,4 +31,8 @@
 	python3 download-license-data.py > spdx.json
 	brz diff spdx.json || brz commit -m "Update SPDX license data." spdx.json
 
-update: update-spdx update-readme
+update-renamed-tags:
+	python3 renamed-tags.py
+	brz diff renamed-tags.json || brz commit -m "Update renamed tags." renamed-tags.json
+
+update: update-spdx update-readme update-renamed-tags

=== debian/changelog ===
lintian-brush (0.60ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip a test, dch -i is different than on Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Apr 2020 15:42:19 +0200

lintian-brush (0.60) unstable; urgency=medium

  * missing-build-dependency-for-dh_-command: Don't break on empty
    lines. Closes: #953392
  * Fix bug in detection of secure versions of Vcs-* URLs. Closes:
    #954034
  * Fix a corner case removing items from --with arguments.
  * In verbose mode, report when the fixer script made changes but they
    were not high enough certainty.
  * debian/watch: Strip leading spaces in version > 3.
  * Add gitlab.labs.nic.cz to list of GitLab hosting sites.
  * missing-build-dependency-for-dh_-command: Don't add unnecessary
    build deps.
  * List git.openstack.org as known hosting site.
  * Scan debian/rules for hints of upstream repository URL.
  * Support finding upstream KDE repositories.
  * Some improvements to creating of watch files from GitHub projects.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Apr 2020 17:11:01 +0000

=== tests/debian-changelog-file-contains-obsolete-user-emacs-settings/simple/out/debian/changelog ===
libjcode-perl (2.8-1) frozen unstable; urgency=low

  * Upstream version.

 -- Blah <joe@example.com>  Thu, 15 Oct 1998 09:21:48 +0900

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                debhelper-compat (= 12)
 Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git -b unstable
-Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush/branches/unstable
+Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
+Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
 
 Package: lintian-brush
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

%:
	dh $@ --with python3,bash_completion --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/lintian-brush/$(ZSH_COMPDIR)
	install -m644 debian/lintian-brush.zsh-completion \
	    debian/lintian-brush/$(ZSH_COMPDIR)/_lintian-brush

=== tests/debian-control-has-obsolete-dbg-package/simple/in/debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog | \
			  sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-root-libdir=/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	find $(CURDIR) -name "*.la" -delete
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=f2fs-tools-dbg

get-orig-source:
	wget http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz
	mv f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz f2fs-tools_$(DEB_UPSTREAM_VERSION).orig.tar.xz

override_dh_shlibdeps:
	dh_shlibdeps -a -p f2fs-tools-udeb -- -xlibf2fs5 -xlibf2fs-format4
	dh_shlibdeps -a -N f2fs-tools-udeb

=== tests/debian-rules-missing-recommended-target/any/out/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

build-indep:

build-arch: build

=== tests/debian-rules-should-not-use-pwd/simple/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- INSTALL_ROOT=$(PWD)/debian/tmp

=== tests/debian-rules-uses-unnecessary-dh-argument/parallel/in/debian/rules ===
#!/usr/bin/make -f

dh:
	dh $@ --parallel

=== tests/debug-symbol-migration-possibly-complete/variable/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='$(PACKAGE) (<< 1:2.3.2-2~)'

=== tests/build-depends-on-obsolete-package/dh-systemd/out/debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Debian Acpi Team <pkg-acpi-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9.20160709), quilt (>= 0.40),
	libsystemd-dev [linux-any], pkg-config

Package: acpi-support
Architecture: all
Depends: acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4),
	lsb-base (>= 1.3-9), pm-utils, ${arch:Depends},
	${misc:Depends}
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for 
    hardware that needs it.
  * On some laptops, set screen brightness.
 .
 Besides some system tools acpi-support recommends vbetool to be able to power
 off the screen and some screensavers to be able to lock the screen on lid
 close.

=== tests/built-using-for-golang/remove/out/debian/control ===
Source: blah
Architecture: any
Build-Depends: golang-go

Package: blah
Architecture: all
Description: blah
 blah

=== tests/built-using-for-golang/unrelated/in/debian/control ===
Source: blah
Architecture: any
Build-Depends: golang-go

Package: blah
Architecture: all
Built-Using: ${w32:Built-Using}
Description: blah
 blah

=== tests/debian-watch-file-is-missing/simple/out/debian/watch ===
version=4
https://pypi.debian.net/xandikos/xandikos-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

=== tests/homepage-in-binary-package/binary-homepages-differ/in/debian/control ===
Source: blah
Maintainer: Joe Maintainer <joe@example.com>

Package: blah1
Homepage: https://www.example.com/blah
Description: blah blah
 More blah

Package: blah2
Homepage: https://www.example.com/blah2
Description: blah blah (x2)
 More blah

=== tests/init.d-script-needs-depends-on-lsb-base/simple/out/debian/control ===
Source: blah

Package: blah
Depends: ${misc:Depends}, lsb-base

=== tests/invalid-standards-version/extra-part/in/debian/control ===
Source: blah
Standards-Version: 4.4.1.0

Package: blah

=== tests/libmodule-build-perl-needs-to-be-in-build-depends/simple/out/debian/control ===
Source: libtest-mock-guard-perl
Section: perl
Priority: optional
Maintainer: Joe Maintainer <joe@example.com>
Build-Depends: debhelper (>= 9), libmodule-build-perl
Build-Depends-Indep: libclass-load-perl (>= 0.06)
 , perl
Standards-Version: 3.9.6

Package: libtest-mock-guard-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
 , libclass-load-perl (>= 0.06)
Description: Simple mock test library
 A mock test library.

=== tests/orphaned-package-should-not-have-uploaders/simple/out/debian/control ===
Source: lintian-brush
Maintainer: Debian QA Team <packages@qa.debian.org>

=== tests/out-of-date-standards-version/4.1.1/out/debian/control ===
Source: lintrian-brush
Standards-version: 4.1.1

=== tests/out-of-date-standards-version/4.1.4-no-rules-requires-root/in/debian/control ===
Source: blah
Standards-Version: 4.1.4

Package: blah
Description: Some blah
 More blah

=== tests/package-uses-deprecated-debhelper-compat-version/pybuild/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 uuid-dev,
 dh-python
Standards-Version: 4.2.0

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

## lintian-brush 0.61ubuntu1

=== debian/changelog ===
lintian-brush (0.61ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip a test, dch -i is different than on Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Apr 2020 10:42:23 +0200

lintian-brush (0.61) unstable; urgency=medium

  * Fix a bug incorrectly removing used license stanzas with license
    exceptions in debian/copyright.
  * Report when the upstream-metadata-missing-repository and upstream-
    metadata-missing-bug-tracking tags are fixed.
  * Add fixer for upstream-metadata-in-native-source.
  * Preserve @cdbs@ in debian/control.in in cdbs packages.
  * Add support for updating to Standards-Version 4.5.0 in some cases.
  * Don't create watch files for native packages.
  * Add support for parsing upstream metadata from cabal files.
  * Try to identify upstream repositories that have moved.
    Closes: #955453
  * debian-watch-file-uses-deprecated-githubredir: Don't remove watch
    files with just empty comments. Closes: #958678

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 24 Apr 2020 23:04:27 +0000

## lintian-brush 0.62ubuntu1

=== debian/changelog ===
lintian-brush (0.62ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip a test, dch -i is different than on Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 May 2020 22:11:47 +0200

lintian-brush (0.62) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Bump maximum debhelper compat version in sid to 13. Closes: #958775
  * Handle old style freedesktop git URLs with /git/ prefix.
  * Don't remove name/contact from upstream metadata if different from
    copyright. Closes: #948948
  * Extract Git repository URLs from debian/watch in git mode.
  * Add fixer for uses-deprecated-adttmp.
  * Downgrade the certainty for some upstream URLs, unless they can be
    verified in some way.

  [ Niels Thykier ]
  * Migrate tmpfile to tmpfiles when upgrading to compat 13.

  [ Jelmer Vernooĳ ]
  * debian-changelog-line-too-long: Be careful about joining lines that
    aren't too long in entries that do have long lines. Closes: #959496
  * debian-source-options-has-custom-compression-settings: Don't break
    on empty debian/source/options files.
  * Add fixer for binary-control-field-duplicates-source.
  * Process overrides in unused-license-paragraph-in-dep5-copyright.
  * debian-rules-uses-unnecessary-dh-argument: Deal with argument
    negation on the % target.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 05 May 2020 22:16:19 +0000

## lintian-brush 0.63ubuntu1

=== debian/changelog ===
lintian-brush (0.63ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip a test, dch -i is different than on Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 May 2020 09:36:03 +0200

lintian-brush (0.63) unstable; urgency=medium

  * Clean up unnecessary 'dh_missing --fail-missing' when upgrading to
    debhelper 13. Closes: #959823
  * Add document start when adding new YAML files. Closes: #958413
  * Check Debian bugs when correcting Close => Closes.
  * debian-changelog-file-contains-obsolete-user-emacs-settings: Only
    remove add-log-mailing-address, not mode lines.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 May 2020 20:09:03 +0000

## lintian-brush 0.64ubuntu1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 style::
 	flake8
+
+typing::
+	mypy lintian_brush fixers
 
 testsuite::
 	python3 setup.py test

=== debian/changelog ===
lintian-brush (0.64ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip a test, dch -i is different than on Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 May 2020 12:50:42 +0200

lintian-brush (0.64) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Only check GitHub repository for moved repository info if it is set.

  [ Sandro Knauß ]
  * Add fixer for license-file-listed-in-debian-copyright.

  [ Jelmer Vernooĳ ]
  * Read dh commands from the lintian files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 May 2020 14:33:36 +0000

## lintian-brush 0.65

=== debian/changelog ===
lintian-brush (0.65) unstable; urgency=medium

  * Explicitly set vendor when running tests; fixes tests running on
    Ubuntu. Closes: #960832
  * Don't just strip whitespace from license paragraphs in copyright-
    refers-to-symlink-license.
  * Improve detection of packages that use gbp-dch by also scanning
    their history for behaviour around gbp dch.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 May 2020 01:26:26 +0000

## lintian-brush 0.67

=== debian/changelog ===
lintian-brush (0.67) unstable; urgency=medium

  * Fix regression when adding a new stanza to an existing changelog
    entry with a single author and more than one bullet point.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 May 2020 22:32:10 +0000

lintian-brush (0.66) unstable; urgency=medium

  * Directly edit debian/changelog rather than calling out to dch:
   + Allows adding more details in changelog entries.
   + In apply-multiarch-hints, actually list what changes were made.
   + Possibly addresses #960853.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 May 2020 18:28:35 +0000

=== tests/debian-control-has-obsolete-dbg-package/dh/in/debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog | \
			  sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --with autoreconf --dbg-package=f2fs-tools-dbg

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-root-libdir=/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	find $(CURDIR) -name "*.la" -delete
	dh_install --list-missing

get-orig-source:
	wget http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz
	mv f2fs-tools-$(DEB_UPSTREAM_VERSION).tar.xz f2fs-tools_$(DEB_UPSTREAM_VERSION).orig.tar.xz

override_dh_shlibdeps:
	dh_shlibdeps -a -p f2fs-tools-udeb -- -xlibf2fs5 -xlibf2fs-format4
	dh_shlibdeps -a -N f2fs-tools-udeb

=== tests/empty-debian-patches-series/no-series/in/debian/control ===
Source: lintian-brush

## lintian-brush 0.68

=== debian/changelog ===
lintian-brush (0.68) unstable; urgency=medium

  * missing-build-dependency-for-dh_-command: Support checking Build-
    Depends-Indep and Build-Depends-Arch.
  * Properly break lines when adding changelog entries.
  * Improve detection of Gbp-Dch style packages, and output reasoning.
  * Only remove 'Team Upload.' lines in open changelog entries.
  * Print out both committer and changelog identity in --identity.
  * Cache the multi-arch hints in apply-multiarch-hints.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 25 May 2020 21:45:25 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                gpg,
                lintian,
                debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
 Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush

## lintian-brush 0.69

=== debian/changelog ===
lintian-brush (0.69) unstable; urgency=medium

  * debian-changelog-line-too-long: Only claim lintian tags were fixed
    when fixing long lines in the last changelog entry.
  * Only scan for 'DO NOT EDIT' in the header of control files. Closes:
    #961601
  * Fix handling of version increases when the existin version ends in
    something that is not a digit.
  * Handle MemoryError from fixers, rather than letting them crash all
    of lintian-brush. Closes: #961810
  * Add really basic package-has-no-description fixer. Certainty for
    this fixer is set to 'possible', so it is not run by default.
  * Add fixer for no-section-field and no-section-field-for-source.
  * Add fixer for no-maintainer-field.
  * Add fixer for no-priority-field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 31 May 2020 00:23:09 +0000

## lintian-brush 0.70

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)
 
 check:: style testsuite
+
+FIXERS = $(patsubst fixers/%.sh,%,$(wildcard fixers/*.sh)) $(patsubst fixers/%.py,%,$(wildcard fixers/*.py))
+
+$(patsubst %,check-fixer-%,$(FIXERS)): check-fixer-%:
+	PYTHONPATH=$(PWD) python3 -m lintian_brush.tests.fixers --fixer=$*
 
 .PHONY: style testsuite unsupported
 
@@ -14,11 +19,11 @@
 	python3 setup.py test
 
 README.md::
-	PYTHONPATH=. ./buildtools/update-readme.py
+	PYTHONPATH=$(PWD) ./buildtools/update-readme.py
 
 unsupported:
 	lintian-info --list-tags > lintian-tags
-	PYTHONPATH=. python3 -m lintian_brush --list-tags 2> lintian-brush-tags
+	PYTHONPATH=$(PWD) python3 -m lintian_brush --list-tags 2> lintian-brush-tags
 	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags
 
 update-readme:

=== debian/changelog ===
lintian-brush (0.70) unstable; urgency=medium

  * systemd-service-file-pidfile-refers-to-var-run: Also update other
    references to pid file.
  * built-using-field-on-arch-all-package: Only fix for golang packages
    for now.
  * Drop use of pkginfo and just use email.message to parse PKG-INFO
    files.
  * Add support for retrieving upstream metadata from Cargo.toml.
  * license-file-listed-in-debian-copyright: Properly remove Files
    entries with just newlines.
  * Update to follow renames of tags in lintian 2.80.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 08 Jun 2020 22:43:10 +0000

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
-               python3-pkginfo,
                python3-setuptools,
                python3-ruamel.yaml,
+               python3-toml,
                gpg,
                lintian,
                debhelper-compat (= 12)
@@ -34,12 +34,10 @@
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
-         python3-levenshtein,
-         python3-pkginfo,
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl
+Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein
 Suggests: gnome-pkg-tools, postgresql-common
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 80

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian, python3-iniparse, python3-toml, python3-levenshtein
Restrictions: allow-stderr

=== tests/obsolete-runtime-tests-restriction/formatting/in/debian/tests/control ===
Test-Command: find /usr/share/blah/models/ -type f -exec ./debian/tests/blah-info {} +
Depends: blah-utils,
 blah-testmodels,

Test-Command: ./debian/tests/quicktest.py /usr/share/blah/models/
Restrictions:
 allow-stderr,
Depends: python3-pyblah,
 blah-testmodels,

=== tests/out-of-date-standards-version/4.4.0/out/debian/control ===
Source: lintrian-brush
Standards-version: 4.5.0
Build-Depends: debhelper-compat (= 11)

## lintian-brush 0.71

=== debian/changelog ===
lintian-brush (0.71) unstable; urgency=medium

  * When dropping get-orig-source target, also update .PHONY.
  * Remove .PHONY when removing a component from it leaves it empty.
  * Add support for reading upstream metadata from pom.xml.
  * Convert private VCS URLs to public URLs, e.g. on salsa or GitHub.
  * maintainer-script-without-set-e: Improve spacing.
  * uses-debhelper-compat-file: support debhelper dependencies in Build-
    Depends-Indep or Build-Depends-Arch.
  * When removing duplicate lines from a changelog, also drop any
    sections that may be left empty.
  * Properly update changelog entries without trailer.
  * When removing debug symbol migration commands, be more aggressive
    cleaning up commands.
  * Add Changes-By in commit message. Related to #946801
  * Add basic fixer for generating copyright files using decopy, not run
    by default.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 30 Jun 2020 17:34:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends: bash-completion,
+               decopy,
                devscripts,
                dh-python,
                dos2unix,
@@ -37,7 +38,7 @@
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein
+Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy
 Suggests: gnome-pkg-tools, postgresql-common
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 80

## lintian-brush 0.72

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)
 
-check:: style testsuite
+check:: style testsuite tag-status
 
 FIXERS = $(patsubst fixers/%.sh,%,$(wildcard fixers/*.sh)) $(patsubst fixers/%.py,%,$(wildcard fixers/*.py))
 
@@ -15,16 +15,29 @@
 typing::
 	mypy lintian_brush fixers
 
+tag-status::
+	python3 tag-status.py --check
+
 testsuite::
 	python3 setup.py test
 
 README.md::
 	PYTHONPATH=$(PWD) ./buildtools/update-readme.py
 
-unsupported:
+lintian-tags:
 	lintian-info --list-tags > lintian-tags
+
+.PHONY: lintian-tags lintian-brush-tags
+
+lintian-brush-tags:
 	PYTHONPATH=$(PWD) python3 -m lintian_brush --list-tags 2> lintian-brush-tags
-	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags
+
+unsupported: lintian-tags lintian-brush-tags
+	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags $@
+
+candidates: lintian-tags lintian-brush-tags
+	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags > unsupported
+	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' hard unsupported
 
 update-readme:
 	brz diff README.md

=== debian/changelog ===
lintian-brush (0.72) unstable; urgency=medium

  * Handle accidental scm: location strings in repository browse tags in
    pom.xml files.
  * Add missing dependency on bs4.
  * Depend on debmutate for most editing functionality.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jul 2020 01:25:23 +0000

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian, python3-iniparse, python3-toml, python3-levenshtein, decopy
Restrictions: allow-stderr

## lintian-brush 0.74

=== debian/changelog ===
lintian-brush (0.74) unstable; urgency=medium

  * Fix regression: allow fixers without declared certainty.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Jul 2020 01:02:35 +0000

lintian-brush (0.73) unstable; urgency=medium

  * Fix handling of interrupted lines.
  * Group arguments in help output.
  * Add fixer for rules-requires-root-missing. Thanks, Guilhem.
    Closes: #965934
  * Add --uncertain option which makes changes with lower certainty.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Jul 2020 00:50:12 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
                dh-python,
                dos2unix,
                python3-all,
-               python3-breezy (>= 3.0.0),
+               python3-bs4,
+               python3-breezy (>= 3.1.0),
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
+               python3-debmutate (>= 0.3),
                python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
@@ -30,15 +32,16 @@
 Package: lintian-brush
 Architecture: all
 Depends: devscripts,
-         python3-breezy (>= 3.0.0),
+         python3-breezy (>= 3.1.0),
          python3-debian,
+         python3-debmutate (>= 0.3),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy
+Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl, python3-toml, python3-levenshtein, decopy, python3-bs4
 Suggests: gnome-pkg-tools, postgresql-common
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 80

=== tests/debian-rules-sets-dpkg-architecture-variable/include-present/out/debian/rules ===
#! /usr/bin/make -f

CONFIGURE_FLAGS := \
	--disable-fem-toolbox \
	--without-gpskca \
	--without-OpenGL \
	--without-gltools \
	--without-OpenDX \
	--without-grape \
	--without-silo

include /usr/share/dpkg/architecture.mk
ifneq (,$(filter powerpc ppc64 ppc64el,$(DEB_HOST_ARCH)))
  export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector
  CONFIGURE_FLAGS += CC=clang
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=libalberta-dbg

## lintian-brush 0.76

=== debian/changelog ===
lintian-brush (0.76) unstable; urgency=medium

  * Add some notes about debugging fixer scripts to manual page.
  * empty-debian-tests-control: Cope with NotADirectory errors.
  * Handle spacing around field names in Yaml files.
  * field-name-typo-in-dep5-copyright: Rename X- fields where
    appropriate in debian/copyright.
  * Add support for JSON style debian/upstream/metadata files.
  * Scan debian/get-orig-source.sh for upstream metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Aug 2020 02:30:11 +0000

lintian-brush (0.75) unstable; urgency=medium

  * Fix anongit.kde.org URLs to use https:.
  * debian-rules-sets-dpkg-architecture-variable: Rather than including
    /usr/share/dpkg/architecture.mk, change to soft assignment type by
    default.
  * Add fixer public-upsteam-key-binary.
  * Add fixer for upstream-metadata-not-yaml-mapping.
  * Probe for gitlab URLs.
  * Only remove overrides if asyncpg is available to contact UDD.
    fixers/unused-override.py
  * debian-watch-file-is-missing: Cope with the fact that a python
    package may not be on pypi.
  * Avoid inserting extra /git/ when converting savannah Git URLs from
    http to https.
  * Scan lowercase readme files as well, when looking for upstream
    metadata.
  * package-uses-deprecated-debhelper-compat-version: when
    './configure' is a directory, don't attempt to scan it.
  * Stop suggesting cgit.kde.org and anongit.kde.org URLs in
    debian/upstream/metadata; they've been replaced by invent.kde.org.
  * Update tag names to match changes in lintian:
   + Rename no-maintainer-field and package-has-no-description to
     required-field
   + Rename no-section-field, no-section-field-for-source and
     no-priority-field to recommended-field
   + Rename rules-requires-root-missing to silent-on-rules-requiring-root
  * Fix handling of multiple targets in Makefile rules.
  * upstream-metadata-invalid: Fix duplicate fields in
    debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 09 Aug 2020 13:39:19 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
-               python3-debmutate (>= 0.3),
+               python3-debmutate (>= 0.4),
                python3-iniparse,
                python3-pyinotify [linux-any],
                python3-levenshtein,
@@ -34,7 +34,7 @@
 Depends: devscripts,
          python3-breezy (>= 3.1.0),
          python3-debian,
-         python3-debmutate (>= 0.3),
+         python3-debmutate (>= 0.4),
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
          python3-iniparse,
